#
#ifndef	UEP_DECONVOLVE
#define	UEP_DECONVOLVE

#include	<stdio.h>
#include	<stdint.h>
#include	<viterbi.h>

	class uep_deconvolve: public viterbi {
public:
		uep_deconvolve (int16_t, int16_t, int16_t);
		~uep_deconvolve	(void);
bool		deconvolve	(int16_t *, int32_t, uint8_t *);
private:
	int16_t		L1;
	int16_t		L2;
	int16_t		L3;
	int16_t		L4;
	int8_t		*PI1;
	int8_t		*PI2;
	int8_t		*PI3;
	int8_t		*PI4;
	int16_t		bitRate;
	int16_t		tracebackLevel;
};

	class eep_deconvolve: public viterbi {
public:
		eep_deconvolve		(int16_t, int16_t, int16_t);
		~eep_deconvolve		(void);
bool		deconvolve		(int16_t *, int32_t, uint8_t *);
private:
	int16_t		L1;
	int16_t		L2;
	int8_t		*PI1;
	int8_t		*PI2;
	int16_t		bitRate;
	int16_t		tracebackLevel;
};

#endif

