#
#ifndef	PHASEREFERENCE
#define	PHASEREFERENCE

#include	"fft.h"
#include	<stdio.h>
#include	<stdint.h>
#include	"phasetable.h"

class phaseReference : public phaseTable {
public:
		phaseReference (DSPCOMPLEX *, uint32_t, int32_t);
		~phaseReference	(void);
	int32_t	findIndex	(uint32_t, uint32_t);
private:
	DSPCOMPLEX	*buffer;
	uint32_t	bufferMask;
	int32_t		Tu;

	DSPCOMPLEX	*refTable;
	common_fft	*fft_processor;
	DSPCOMPLEX	*fft_buffer;
	common_ifft	*res_processor;
	DSPCOMPLEX	*res_buffer;
	int32_t		fft_counter;
	DSPFLOAT	Max;
};
#endif

