#
/*
 * 	Default (void) implementation of
 * 	virtual input class
 */
#include	"virtual_input.h"

	virtualInput::virtualInput (void) {
	lastFrequency	= 100000;
}

	virtualInput::~virtualInput (void) {
}

void	virtualInput::setVFOFrequency (int32_t f) {
	lastFrequency = f;
}

void	virtualInput::getVFOFrequency	(int32_t *f) {
	*f = lastFrequency;
}

int32_t	virtualInput::setExternalRate	(int32_t r) {
	return r;
}

int32_t	virtualInput::setExternalGain	(int32_t g) {
	return g;
}

bool	virtualInput::restartReader	(void) {
	return true;
}

void	virtualInput::stopReader	(void) {
}

uint8_t	virtualInput::myIdentity	(void) {
	return NIX;
}

int32_t	virtualInput::getSamples	(uint8_t *v, int32_t amount) {
	(void)v; 
	(void)amount; 
	return 0;
}

int32_t	virtualInput::getSamples	(uint8_t *v, int32_t amount, int32_t s) {
	(void)v; 
	(void)amount;
	(void)s;
	return 0;
}


int32_t	virtualInput::Samples		(void) {
	return 0;
}

void	virtualInput::setOffset		(int32_t off) {
	vfoOffset	= off;
}

int32_t	virtualInput::getSamplesMissed	(void) {
	return 0;
}

